> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncreateelasticacheclusterparameters-object.md).

# AmazonCreateElastiCacheClusterParameters Object

## Description

Parameters for the Amazon Create ElastiCache Cluster action.

## Properties

### availabilityZone

Availability zone for the new cluster. Omit to indicate "no preference".

Type: `string`

Required: No

### clusterId

ID of the new cluster.

Type: `string`

Required: Yes

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### deleteTimeInSeconds

Number of seconds after which the new cluster will be deleted. If omitted, the new cluster will not be deleted.

Type: `integer`

Required: No

### engine

Engine for the new cluster. Must be a valid ElastiCache engine.

Type: `string`

Valid Values:

* `memcached`
* `redis`

Required: Yes

### engineVersion

Engine version for the new cluster. Must be a valid ElastiCache engine version for the selected engine.

Type: `string`

Required: Yes

### nodeType

Node type for the new cluster. Must be a valid ElastiCache node type for the selected engine.

Type: `string`

Required: Yes

### numNodes

Number of nodes to use when creating the new cluster.

Type: `integer`

Required: Yes

### parameterGroupName

Name of the ElastiCache parameter group to assign to the new cluster.

Type: `string`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### replicationGroupId

Replication group to assign to the new cluster.

Type: `string`

Required: No

### securityGroup

Security group to assign to the new cluster.

Type: `string`

Required: No

### snapshotRetentionLimitInDays

Snapshot retention limit to assign to the new cluster.

Type: `integer`

Required: No

### subnetGroupName

Name of the ElastiCache subnet group to assign to the new cluster.

Type: `string`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "clusterId": "new-cluster-$(DATE)",
    "engine": "memcached",
    "engineVersion": "1.4.45",
    
    "nodeType": "cache.t2.small",
    "numNodes": 1,

    "deleteTimeInSeconds": 600
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncreateelasticacheclusterparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
